Archived

This topic is now archived and is closed to further replies.

Please be aware that the content of this thread may be outdated and no longer applicable.

victorio_val

Steam Linux - Mark of the Ninja: Remastered - Error: KGraphics::Initialize() failed (Missing required OpenGL extensions).

Recommended Posts

Hi all,

I have the following error when try to start Mark of the Ninja: Remastered edition on Steam, running Archlinux.

Error: KGraphics::Initialize() failed (Missing required OpenGL extensions).

Using debuglog option I got the following in the dumb file.

...

[07:43.50] (140657605037824) GL_ARB_vertex_type_10f_11f_11f_rev
[07:43.50] (140657605037824) GL_ARB_vertex_type_2_10_10_10_rev
[07:43.50] (140657605037824) GL_ARB_viewport_array
[07:43.50] (140657605037824) GL_ATI_blend_equation_separate
[07:43.50] (140657605037824) GL_ATI_texture_float
[07:43.50] (140657605037824) GL_EXT_abgr
[07:43.50] (140657605037824) GL_EXT_blend_equation_separate
[07:43.50] (140657605037824) GL_EXT_draw_buffers2
[07:43.50] (140657605037824) GL_EXT_draw_instanced
[07:43.50] (140657605037824) GL_EXT_framebuffer_blit
[07:43.50] (140657605037824) GL_EXT_framebuffer_multisample
[07:43.50] (140657605037824) GL_EXT_framebuffer_multisample_blit_scaled
[07:43.50] (140657Error: KGraphics::Initialize() failed (Missing required OpenGL extensions).
...

My detected opengl system config according the log:

...

[07:43.50] (140657605037824) OpenGL vendor: "Intel Open Source Technology Center"
[07:43.50] (140657605037824) OpenGL renderer: "Mesa DRI Intel(R) HD Graphics 5500 (Broadwell GT2) "
[07:43.50] (140657605037824) OpenGL version: "4.5 (Core Profile) Mesa 18.2.4"
[07:43.50] (140657605037824) OpenGL shading language version: "4.50"

...
 

Any ideas or fixes to get the game run. Rest of the games on steam are working correctly without problems.

Thank you

Share this post


Link to post
Share on other sites